namespace Wizard;

public class FriendApplySendTask : BaseTask
{
	public class FriendApplySendTaskParam : BaseParam
	{
		public int friend_id;
	}

	public FriendApplySendTask()
	{
		base.type = ApiType.Type.FriendApplySend;
	}

	public void SetParameter(int friend_id)
	{
		FriendApplySendTaskParam friendApplySendTaskParam = new FriendApplySendTaskParam();
		friendApplySendTaskParam.friend_id = friend_id;
		base.Params = friendApplySendTaskParam;
	}

	protected override int Parse()
	{
		int result = base.Parse();
		_ = 1;
		return result;
	}
}
